summaryrefslogtreecommitdiff
path: root/.tools/testxml.sh
diff options
context:
space:
mode:
Diffstat (limited to '.tools/testxml.sh')
-rwxr-xr-x.tools/testxml.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/.tools/testxml.sh b/.tools/testxml.sh
new file mode 100755
index 00000000..0e5f5b5a
--- /dev/null
+++ b/.tools/testxml.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+source ./tools/gitlab-ci/init.sh
+
+clientdata_init
+
+aptget_update
+aptget_install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python python-pyvorbis python-ogg python-pil
+gitclone https://gitlab.com/evol/evol-tools.git tools
+
+cd tools/testxml
+
+./xsdcheck.sh
+export RES=$(cat errors.txt)
+if [[ -n "${RES}" ]]; then
+ echo "xml check failed" >../../clientdata/shared/error.log
+ echo ${RES} >>../../clientdata/shared/error.log
+ cat ../../clientdata/shared/error.log
+ exit 1
+fi
+
+echo >../../clientdata/shared/error.log
+./testxml.py silent >../../clientdata/shared/error.log
+if [ "$?" != 0 ]; then
+ echo "test xml error"
+ cat ../../clientdata/shared/error.log
+ exit 1
+fi
+
+echo >../../clientdata/shared/error.log